function [s,temp_s1,temp_s2] = F1C2(y,tr_dat,pinv_Dict,lambdaO)

temp_s1 = pinv_Dict*y;
temp_s2 = soft(y-tr_dat*temp_s1,lambdaO/2);
s       = [temp_s1;temp_s2];
    
niter  = 100;
while niter > 0
     fprintf('.');
     temp_s1 = pinv_Dict*(y-temp_s2);
     temp_s2 = soft(y-tr_dat*temp_s1,lambdaO/2);
     if norm([temp_s1;temp_s2]-s,2)/norm(s,2)<1e-3
        break;
     end
     s = [temp_s1;temp_s2];
     niter = niter -1;
end